### Method

# Adw Carousel scroll_to_full

#### Declaration [src]

    void
    adw_carousel_scroll_to_full (
      AdwCarousel* self,
      GtkWidget* widget,
      gint64 duration
    )

#### Description [src]

Scrolls to `widget` with an animation.

Available since: | 1.0

#### Parameters

`widget` | `GtkWidget`
| A child of `self`.
| The data is owned by the caller of the function.
`duration` | `gint64`
| Animation duration in milliseconds.